Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tungquach165

Xin Giúp Đỡ Sửa Lisp Điền Kích Thước Ghi Ra Text Theo Ý Muốn

Các bài được khuyến nghị

Chào các bác

 

Em có lisp ghi kích thước ra text , giờ nó có dạng này " L : 4000.000" với chiều dài 4000

 

Giờ em muốn ghi thành 3 lần và đổi đơn vị  là "12000MN"

 

Thì sửa thế nào vậy các bác,

 

Mong các bác giúp đỡ

 

http://www.cadviet.com/upfiles/7/120804_tl_chieudaighiratext.lsp

 

(defun C:Tkl( / ss L e #h)

(vl-load-com)

(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))

(or ans (setq ans 1))

(setq

    #h 1000

    L (strcat "L : "

    (vl-princ-to-string (* (getvar "dimlfac") (apply '+

     (mapcar 'Length1 (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))))))

    )))

    )

    ans (cond ((getint (strcat "\nPhuong an nhap ket qua < " (itoa ans) " > :")))(ans))

    txtObj (cond     ((= ans 1) (vlax-ename->vla-object (car (entsel "\nChon text ghi ket qua :"))))

        (T (vla-addtext (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))) L (vlax-3d-point (getpoint "\n Chon diem nhap ket qua" )) #h ))

      )

)

(vla-put-TextString txtObj L)

(vla-put-Height txtObj #h)

(princ)

)

 

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn bạn, mình cũng dow về nhưng thấy hơi chậm, lisp ko tự động nhớ lần trc mỗi lần lập lại, phải chọn lại

 

Bạn giúp mình sửa đc ko ạ?

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×